package com.ssj.service.conch.common.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author yangcan
 * 类描述:聊天消息入参
 * 创建时间:2019年1月15日 下午7:04:42

 */
public class OnlineMessagesRequest extends BaseRequest {
	
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(name = "receiveUserId", value = "好友环信Id", required = true)
    private String receiveUserId;

	@ApiModelProperty(name = "pageNo", value = "当前页数", required = true)
    private int    pageNo;

    @ApiModelProperty(name = "pageSize", value = "每页条数", required = true)
    private int    pageSize;

    @ApiModelProperty(name = "maxCreateTime", value = "最大时间", required = false)
    private String maxCreateTime;

	public String getReceiveUserId() {
		return receiveUserId;
	}

	public void setReceiveUserId(String receiveUserId) {
		this.receiveUserId = receiveUserId;
	}

	public int getPageNo() {
		return pageNo;
	}

	public void setPageNo(int pageNo) {
		this.pageNo = pageNo;
	}

	public int getPageSize() {
		return pageSize;
	}

	public void setPageSize(int pageSize) {
		this.pageSize = pageSize;
	}

	public String getMaxCreateTime() {
		return maxCreateTime;
	}

	public void setMaxCreateTime(String maxCreateTime) {
		this.maxCreateTime = maxCreateTime;
	}
}
